Package: org.codehaus.groovy.runtime

## [Java] Class ScriptReference

- org.codehaus.groovy.runtime.ScriptReference

- Represents a reference to a variable in a script

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ScriptReference (Script script, String variable)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `get()`
    `` | `void` | `set(Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Reference` | `get, getProperty, invokeMethod, set, setProperty`
    `class GroovyObjectSupport` | `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ScriptReference(Script script, String variable)

  - ### Method Detail

    - #### public Object get()

    - #### public void set(Object value)